Subject: Re: [BUG] Intermittant error referencing memory @0x00000010
From: ERIC KRAUSE (ekraus02) <[email-masked]>
To: <[email-masked]>
Cc: "Cygwin Discussion" <[email-masked]>
Date: Fri, 13 Sep 2002 16:53:46 -0400

David A. Cobb writes:
> Thanks, Eric.
>     Uname: CYGWIN_NT 5.0  .... 1.3.12 (0.54.3.2) 2002-07-06 02:16
>     Complete CYGCHECK output appended (.zip)
For some reason the attached file only contained a reiteration of the uname
output.

>     Another datapoint: I tried firing up CYGSERVER and doing the make.
>  Aha!  It ran to completion -- still errors of some sort but none of the
> Win exceptions.
>     That introduced other troubles, I'll post that later and try to keep
> this thread focused.
>     The other thing was terminating all the many aps I have in the
> system tray (   except ZA and my antivirus ) and then keeping my hands
> off while it ran so nothing was perturbing the memory allocations.
>     Having CYGSERVER change things so completely makes me suspect that
> IPC is related to the problem -- I don't know what else changes when the
> server is active; also watching a ProcessExplorer display shows the
> server IPC resources very very active.
>

How far into configure did you get before it crashed the first time?  That
may shed some insight into why it's crashing.  Now your crash was in sh.exe
right?  Cygwin /bin/sh isn't bash--it's the not-so-heavy simpler "ash".

Were you using the "20020131-1" version?  If yes, I'd upgrade "ash" then try
again without cygserver.

---
Eric R. Krause

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/